%global dlrn_nvr horizon-16.2.3.dev7-2.20220926144724.d3d3d18
%global dlrn 1
%define upstream_version 16.2.3.dev7
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global rhosp 1

%if 0%{?rhosp} == 0
%global with_translation_extraction_support 1
%else
%global with_translation_extraction_support 0
%endif

%global with_doc 0

Name:       python-django-horizon
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:      1
Version: 16.2.3
Release: 2.20220926144724.d3d3d18%{?dist}
Summary:    Django application for talking to Openstack

Group:      Development/Libraries
# Code in horizon/horizon/utils taken from django which is BSD
License:    ASL 2.0 and BSD
URL:        http://horizon.openstack.org/
Source0: horizon-16.2.3.dev7-2.20220926144724.d3d3d18.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=d3d3d18ee63c43dfa12233f34fe8a374655a1510
Patch0001: 0001-Add-use_required_attribute-in-workflow.patch
Patch0002: 0002-Show-project-name-at-launch-instance-dialog.patch
Patch0003: 0003-Move-Domain-field-under-User-Name-and-Password.patch
Patch0004: 0004-Add-pagination-to-Source-table-in-Launch-Instance-wi.patch
Patch0005: 0005-Fix-Angular-mediumDateFilter.patch
Patch0006: 0006-Magic-Search-filter-facet-removal-fix.patch
Patch0007: 0007-Update-the-integration-tests-to-work-with-downstream.patch
Patch0008: 0008-Fix-Unable-to-use-multiattach-volume-as-boot-for-new.patch
Patch0009: 0009-AgularJS-pages-display-dates-using-Horizon-s-Setting.patch
Patch0010: 0010-Add-default_availability_zone-for-VM-creation.patch
Patch0011: 0011-Make-existing-empty-metadata-properties-optional.patch
Patch0012: 0012-Proper-title-for-Format-column.patch
Patch0013: 0013-Some-tweaks-to-improve-work-with-Material-Theme.patch
Patch0014: 0014-Don-t-try-and-update-port-security-if-its-not-changi.patch

#

Source2:    openstack-dashboard-httpd-2.4.conf
Source3:    python-django-horizon-systemd.conf

# demo config for separate logging
Source4:    openstack-dashboard-httpd-logging.conf

# logrotate config
Source5:    python-django-horizon-logrotate.conf


#
# BuildArch needs to be located below patches in the spec file. Don't ask!
#

BuildArch:  noarch

%description
Horizon is a Django application for providing Openstack UI components.
It allows performing site administrator (viewing account resource usage,
configuring users, accounts, quotas, flavors, etc.) and end user
operations (start/stop/delete instances, create/restore snapshots, view
instance VNC console, etc.)

%package -n     python%{pyver}-django-horizon
Summary:    Django application for talking to Openstack
%{?python_provide:%python_provide python%{pyver}-django-horizon}

BuildRequires:   python%{pyver}-django
Requires:   python%{pyver}-django


Requires:   python%{pyver}-pytz
Requires:   python%{pyver}-six >= 1.10.0
Requires:   python%{pyver}-pbr

BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-pbr >= 2.0.0
BuildRequires: git
BuildRequires: python%{pyver}-six >= 1.10.0
BuildRequires: gettext

# for checks:
BuildRequires:   python%{pyver}-django-nose
BuildRequires:   python%{pyver}-mox3
BuildRequires:   python%{pyver}-nose
BuildRequires:   python%{pyver}-osprofiler
BuildRequires:   python%{pyver}-iso8601
BuildRequires:   python%{pyver}-pycodestyle
BuildRequires:   python%{pyver}-mock

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:   python-nose-exclude
BuildRequires:   python-selenium
BuildRequires:   python-netaddr
BuildRequires:   python-anyjson
%else
BuildRequires:   python%{pyver}-nose-exclude
BuildRequires:   python%{pyver}-selenium
BuildRequires:   python%{pyver}-netaddr
BuildRequires:   python%{pyver}-anyjson
%endif


# additional provides to be consistent with other django packages
Provides: django-horizon = %{epoch}:%{version}-%{release}
Obsoletes: python-django-openstack-auth < 4.0.0-1
Obsoletes: python2-django-openstack-auth < 4.0.0-1
# (TODO) remove following provides once the requirements have been fixed
# in all dashboard plugins
Provides: python-django-openstack-auth = %{epoch}:%{version}-%{release}
Provides: python2-django-openstack-auth = %{epoch}:%{version}-%{release}

%description -n python%{pyver}-django-horizon
Horizon is a Django application for providing Openstack UI components.
It allows performing site administrator (viewing account resource usage,
configuring users, accounts, quotas, flavors, etc.) and end user
operations (start/stop/delete instances, create/restore snapshots, view
instance VNC console, etc.)


%package -n openstack-dashboard
Summary:    Openstack web user interface reference implementation
Group:      Applications/System

Requires:   httpd
Requires:   python%{pyver}-django-horizon = %{epoch}:%{version}-%{release}
Requires:   python%{pyver}-django-compressor >= 2.0

%if 0%{rhosp} == 0
Requires:   openstack-dashboard-theme >= %{epoch}:%{version}-%{release}
%else
%{lua: ver = rpm.expand("%version"); x, y = string.find(ver, "%.");
maj = string.sub(ver, 1, x-1); rpm.define("version_major " .. maj .. ".0.0");}
Requires:   openstack-dashboard-theme >= %{epoch}:%{version_major}
%endif

Requires:   python%{pyver}-iso8601
Requires:   python%{pyver}-glanceclient >= 1:2.8.0
Requires:   python%{pyver}-keystoneclient >= 1:3.15.0
Requires:   python%{pyver}-keystoneauth1 >= 3.4.0
Requires:   python%{pyver}-novaclient >= 1:9.1.0
Requires:   python%{pyver}-neutronclient >= 6.7.0
Requires:   python%{pyver}-cinderclient >= 4.0.1
Requires:   python%{pyver}-swiftclient >= 3.2.0
Requires:   python%{pyver}-netaddr
Requires:   python%{pyver}-osprofiler >= 2.3.0
Requires:   python%{pyver}-django-pyscss >= 2.0.2
Requires:   python%{pyver}-XStatic
Requires:   python%{pyver}-XStatic-Angular >= 1:1.5.8.0
Requires:   python%{pyver}-XStatic-Angular-Bootstrap
Requires:   python%{pyver}-XStatic-Angular-Schema-Form
Requires:   python%{pyver}-XStatic-D3
Requires:   python%{pyver}-XStatic-Font-Awesome
Requires:   python%{pyver}-XStatic-JSEncrypt
Requires:   python%{pyver}-XStatic-Jasmine
Requires:   python%{pyver}-XStatic-Bootstrap-SCSS >= 3.3.7.1
Requires:   python%{pyver}-XStatic-termjs
Requires:   python%{pyver}-XStatic-smart-table
Requires:   python%{pyver}-XStatic-Angular-Gettext
Requires:   python%{pyver}-XStatic-Angular-FileUpload
Requires:   python%{pyver}-XStatic-bootswatch
Requires:   python%{pyver}-XStatic-roboto-fontface >= 0.5.0.0
Requires:   python%{pyver}-XStatic-mdi
Requires:   python%{pyver}-XStatic-objectpath
Requires:   python%{pyver}-XStatic-tv4
Requires:   python%{pyver}-django-debreach

Requires:   python%{pyver}-scss >= 1.3.4
Requires:   fontawesome-fonts-web >= 4.1.0

Requires:   python%{pyver}-oslo-concurrency >= 3.26.0
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-i18n >= 3.15.3
Requires:   python%{pyver}-oslo-serialization >= 2.18.0
Requires:   python%{pyver}-oslo-utils >= 3.33.0
Requires:   python%{pyver}-oslo-upgradecheck >= 0.1.1
Requires:   python%{pyver}-requests >= 2.14.2
Requires:   python%{pyver}-oslo-policy >= 1.30.0
Requires:   python%{pyver}-babel
Requires:   python%{pyver}-futurist

Requires:   openssl
Requires:   logrotate

# Handle python2 exception
%if %{pyver} == 2
Requires:   mod_wsgi
Requires:   python-django-appconf
Requires:   python-lesscpy
Requires:   python-pymongo >= 3.0.2
Requires:   python-semantic_version
Requires:   python-XStatic-jQuery
Requires:   python-XStatic-Hogan
Requires:   python-XStatic-JQuery-Migrate
Requires:   python-XStatic-JQuery-TableSorter
Requires:   python-XStatic-JQuery-quicksearch
Requires:   python-XStatic-Rickshaw
Requires:   python-XStatic-Spin
Requires:   python-XStatic-jquery-ui
Requires:   python-XStatic-Bootstrap-Datepicker
Requires:   python-XStatic-Angular-lrdragndrop
Requires:   python-XStatic-Magic-Search
Requires:   python-pint
Requires:   PyYAML >= 3.10
Requires:   python-memcached
%else
Requires:   python%{pyver}-mod_wsgi
Requires:   python%{pyver}-django-appconf
Requires:   python%{pyver}-lesscpy
Requires:   python%{pyver}-pymongo >= 3.0.2
Requires:   python%{pyver}-semantic_version
Requires:   python%{pyver}-XStatic-jQuery
Requires:   python%{pyver}-XStatic-Hogan
Requires:   python%{pyver}-XStatic-JQuery-Migrate
Requires:   python%{pyver}-XStatic-JQuery-TableSorter
Requires:   python%{pyver}-XStatic-JQuery-quicksearch
Requires:   python%{pyver}-XStatic-Rickshaw
Requires:   python%{pyver}-XStatic-Spin
Requires:   python%{pyver}-XStatic-jquery-ui
Requires:   python%{pyver}-XStatic-Bootstrap-Datepicker
Requires:   python%{pyver}-XStatic-Angular-lrdragndrop
Requires:   python%{pyver}-XStatic-Magic-Search
Requires:   python%{pyver}-pint
Requires:   python%{pyver}-PyYAML >= 3.10
Requires:   python%{pyver}-memcached
%endif

%if 0%{?with_translation_extraction_support} == 1
Requires:   python%{pyver}-django-babel
%endif

BuildRequires: python%{pyver}-django-debreach
BuildRequires: python%{pyver}-django-compressor >= 2.0
BuildRequires: python%{pyver}-django-pyscss >= 2.0.2
BuildRequires: python%{pyver}-XStatic
BuildRequires: python%{pyver}-XStatic-Angular >= 1:1.5.8.0
BuildRequires: python%{pyver}-XStatic-Angular-Bootstrap
BuildRequires: python%{pyver}-XStatic-Angular-Schema-Form
BuildRequires: python%{pyver}-XStatic-D3
BuildRequires: python%{pyver}-XStatic-Font-Awesome
BuildRequires: python%{pyver}-XStatic-JSEncrypt
BuildRequires: python%{pyver}-XStatic-Jasmine
BuildRequires: python%{pyver}-XStatic-Bootstrap-SCSS
BuildRequires: python%{pyver}-XStatic-termjs
BuildRequires: python%{pyver}-XStatic-smart-table
BuildRequires: python%{pyver}-XStatic-Angular-FileUpload
BuildRequires: python%{pyver}-XStatic-Angular-Gettext
BuildRequires: python%{pyver}-XStatic-bootswatch
BuildRequires: python%{pyver}-XStatic-roboto-fontface
BuildRequires: python%{pyver}-XStatic-mdi
BuildRequires: python%{pyver}-XStatic-objectpath
BuildRequires: python%{pyver}-XStatic-tv4
# bootstrap-scss requires at least python-scss >= 1.2.1
BuildRequires: python%{pyver}-scss >= 1.3.4
BuildRequires: fontawesome-fonts-web >= 4.1.0
BuildRequires: python%{pyver}-oslo-concurrency
BuildRequires: python%{pyver}-oslo-config
BuildRequires: python%{pyver}-oslo-i18n
BuildRequires: python%{pyver}-oslo-serialization
BuildRequires: python%{pyver}-oslo-utils
BuildRequires: python%{pyver}-oslo-policy
BuildRequires: python%{pyver}-babel

BuildRequires: python%{pyver}-pytz
BuildRequires: systemd

# Handle python2 exception
%if %{pyver} == 2
BuildRequires: python-django-appconf
BuildRequires: python-lesscpy
BuildRequires: python-semantic_version
BuildRequires: python-XStatic-jQuery
BuildRequires: python-XStatic-Hogan
BuildRequires: python-XStatic-JQuery-Migrate
BuildRequires: python-XStatic-JQuery-TableSorter
BuildRequires: python-XStatic-JQuery-quicksearch
BuildRequires: python-XStatic-Rickshaw
BuildRequires: python-XStatic-Spin
BuildRequires: python-XStatic-jquery-ui
BuildRequires: python-XStatic-Bootstrap-Datepicker
BuildRequires: python-XStatic-Angular-lrdragndrop
BuildRequires: python-XStatic-Magic-Search
BuildRequires: python-pint
BuildRequires: python-memcached
%else
BuildRequires: python%{pyver}-django-appconf
BuildRequires: python%{pyver}-lesscpy
BuildRequires: python%{pyver}-semantic_version
BuildRequires: python%{pyver}-XStatic-jQuery
BuildRequires: python%{pyver}-XStatic-Hogan
BuildRequires: python%{pyver}-XStatic-JQuery-Migrate
BuildRequires: python%{pyver}-XStatic-JQuery-TableSorter
BuildRequires: python%{pyver}-XStatic-JQuery-quicksearch
BuildRequires: python%{pyver}-XStatic-Rickshaw
BuildRequires: python%{pyver}-XStatic-Spin
BuildRequires: python%{pyver}-XStatic-jquery-ui
BuildRequires: python%{pyver}-XStatic-Bootstrap-Datepicker
BuildRequires: python%{pyver}-XStatic-Angular-lrdragndrop
BuildRequires: python%{pyver}-XStatic-Magic-Search
BuildRequires: python%{pyver}-pint
BuildRequires: python%{pyver}-memcached
%endif
BuildRequires: python%{pyver}-glanceclient
BuildRequires: python%{pyver}-keystoneclient
BuildRequires: python%{pyver}-novaclient >= 1:9.1.0
BuildRequires: python%{pyver}-neutronclient
BuildRequires: python%{pyver}-cinderclient
BuildRequires: python%{pyver}-swiftclient

%description -n openstack-dashboard
Openstack Dashboard is a web user interface for Openstack. The package
provides a reference implementation using the Django Horizon project,
mostly consisting of JavaScript and CSS to tie it altogether as a standalone
site.

%if 0%{?with_doc}
%package doc
Summary:    Documentation for Django Horizon
Group:      Documentation

Requires:   python%{pyver}-django-horizon = %{epoch}:%{version}-%{release}
BuildRequires: python%{pyver}-sphinx >= 1.1.3

# Doc building basically means we have to mirror Requires:
BuildRequires: python%{pyver}-openstackdocstheme

%description doc
Documentation for the Django Horizon application for talking with Openstack
%endif

%if 0%{rhosp} == 0
%package -n openstack-dashboard-theme
Summary: OpenStack web user interface reference implementation theme module
Requires: openstack-dashboard = %{epoch}:%{version}-%{release}

%description -n openstack-dashboard-theme
Customization module for OpenStack Dashboard to provide a branded logo.
%endif

%prep
%autosetup -n horizon-%{upstream_version} -S git

# customize default settings
# WAS [PATCH] disable debug, move web root
sed -i "/^DEBUG =.*/c\DEBUG = False" openstack_dashboard/local/local_settings.py.example
sed -i "/^WEBROOT =.*/c\WEBROOT = '/dashboard/'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*ALLOWED_HOSTS =.*/c\ALLOWED_HOSTS = ['horizon.example.com', 'localhost']" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*LOCAL_PATH =.*/c\LOCAL_PATH = '/tmp'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*POLICY_FILES_PATH =.*/c\POLICY_FILES_PATH = '/etc/openstack-dashboard'" openstack_dashboard/local/local_settings.py.example

sed -i "/^BIN_DIR = .*/c\BIN_DIR = '/usr/bin'" openstack_dashboard/settings.py
sed -i "/^COMPRESS_PARSER = .*/a COMPRESS_OFFLINE = True" openstack_dashboard/settings.py

# set COMPRESS_OFFLINE=True
sed -i 's:COMPRESS_OFFLINE.=.False:COMPRESS_OFFLINE = True:' openstack_dashboard/settings.py

# Set help_url
%if 0%{?rhosp}
sed -i "s;'help_url': \"https://docs.openstack.org/\";'help_url': \"https://access.redhat.com/documentation/en/red-hat-openstack-platform/\";" openstack_dashboard/settings.py
%endif

# Fix manage.py shebang
sed -i 's/\/usr\/bin\/env python/\/usr\/bin\/env python%{pyver}/' manage.py

# Fix python executable depending on python version
sed -i 's/\/usr\/bin\/python /\/usr\/bin\/python%{pyver} /g' %{SOURCE3}

%build
# compile message strings
cd horizon && django-admin compilemessages && cd ..
cd openstack_dashboard && django-admin compilemessages && cd ..
# Dist tarball is missing .mo files so they're not listed in distributed egg metadata.
# Removing egg-info and letting PBR regenerate it was working around that issue
# but PBR cannot regenerate complete SOURCES.txt so some other files wont't get installed.
# Further reading why not remove upstream egg metadata:
# https://github.com/emonty/python-oslo-messaging/commit/f632684eb2d582253601e8da7ffdb8e55396e924
# https://fedorahosted.org/fpc/ticket/488
echo >> horizon.egg-info/SOURCES.txt
ls */locale/*/LC_MESSAGES/django*mo >> horizon.egg-info/SOURCES.txt
%{pyver_build}

# compress css, js etc.
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py
# get it ready for compressing later in puppet-horizon
%{pyver_bin} manage.py collectstatic --noinput --clear
%{pyver_bin} manage.py compress --force

%if 0%{?with_doc}
# build docs
export PYTHONPATH=.
sphinx-build-%{pyver} -b html doc/source html
# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo
%endif
# undo hack
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py


%install
%{pyver_install}

# drop httpd-conf snippet
install -m 0644 -D -p %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sharedstatedir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sysconfdir}/openstack-dashboard

# drop config snippet
install -m 0644 -D -p %{SOURCE4} .

# create directory for systemd snippet
mkdir -p %{buildroot}%{_unitdir}/httpd.service.d/
cp %{SOURCE3} %{buildroot}%{_unitdir}/httpd.service.d/openstack-dashboard.conf


# Copy everything to /usr/share
mv %{buildroot}%{pyver_sitelib}/openstack_dashboard \
   %{buildroot}%{_datadir}/openstack-dashboard
cp manage.py %{buildroot}%{_datadir}/openstack-dashboard
rm -rf %{buildroot}%{pyver_sitelib}/openstack_dashboard

# remove unnecessary .po files
find %{buildroot} -name django.po -exec rm '{}' \;
find %{buildroot} -name djangojs.po -exec rm '{}' \;

# Move config to /etc, symlink it back to /usr/share
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings
ln -s ../../../../..%{_sysconfdir}/openstack-dashboard/local_settings %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py

%if 0%{?rhosp}
mkdir -p %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d/* %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
rmdir %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d
ln -s ../../../../..%{_sysconfdir}/openstack-dashboard/local_settings.d %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d
%endif

mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/*.json %{buildroot}%{_sysconfdir}/openstack-dashboard
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/nova_policy.d %{buildroot}%{_sysconfdir}/openstack-dashboard

%find_lang django --all-name

grep "\/usr\/share\/openstack-dashboard" django.lang > dashboard.lang
grep "\/site-packages\/horizon" django.lang > horizon.lang

# copy static files to %{_datadir}/openstack-dashboard/static
mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a openstack_dashboard/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a horizon/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a static/* %{buildroot}%{_datadir}/openstack-dashboard/static

# create /var/run/openstack-dashboard/ and own it
mkdir -p %{buildroot}%{_sharedstatedir}/openstack-dashboard

# create /var/log/horizon and own it
mkdir -p %{buildroot}%{_var}/log/horizon

# place logrotate config:
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -a %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-dashboard

%check
%{pyver_bin} manage.py test horizon --settings=horizon.test.settings

%post -n openstack-dashboard
# ugly hack to set a unique SECRET_KEY
sed -i "/^from horizon.utils import secret_key$/d" /etc/openstack-dashboard/local_settings
sed -i "/^SECRET_KEY.*$/{N;s/^.*$/SECRET_KEY='`openssl rand -hex 10`'/}" /etc/openstack-dashboard/local_settings
# reload systemd unit files
systemctl daemon-reload >/dev/null 2>&1 || :

%postun
# update systemd unit files
%{systemd_postun}

%files -n python%{pyver}-django-horizon -f horizon.lang
%doc README.rst openstack-dashboard-httpd-logging.conf
%license LICENSE
%dir %{pyver_sitelib}/horizon
%{pyver_sitelib}/horizon/*.py*
%{pyver_sitelib}/horizon/browsers
%{pyver_sitelib}/horizon/conf
%{pyver_sitelib}/horizon/contrib
%{pyver_sitelib}/horizon/forms
%{pyver_sitelib}/horizon/hacking
%{pyver_sitelib}/horizon/management
%{pyver_sitelib}/horizon/static
%{pyver_sitelib}/horizon/tables
%{pyver_sitelib}/horizon/tabs
%{pyver_sitelib}/horizon/templates
%{pyver_sitelib}/horizon/templatetags
%{pyver_sitelib}/horizon/test
%{pyver_sitelib}/horizon/utils
%{pyver_sitelib}/horizon/workflows
%{pyver_sitelib}/horizon/karma.conf.js
%{pyver_sitelib}/horizon/middleware
%{pyver_sitelib}/openstack_auth
%{pyver_sitelib}/*.egg-info
%if %{pyver} == 3
%{pyver_sitelib}/horizon/__pycache__
%endif

%files -n openstack-dashboard -f dashboard.lang
%license LICENSE
%dir %{_datadir}/openstack-dashboard/
%{_datadir}/openstack-dashboard/*.py*
%{_datadir}/openstack-dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/*.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/api
%{_datadir}/openstack-dashboard/openstack_dashboard/contrib
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/admin
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/identity
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/project
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/settings
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/__init__.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/django_pyscss_fix
%{_datadir}/openstack-dashboard/openstack_dashboard/enabled
%{_datadir}/openstack-dashboard/openstack_dashboard/karma.conf.js
%{_datadir}/openstack-dashboard/openstack_dashboard/local
%{_datadir}/openstack-dashboard/openstack_dashboard/management
%{_datadir}/openstack-dashboard/openstack_dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/templates
%{_datadir}/openstack-dashboard/openstack_dashboard/templatetags
%{_datadir}/openstack-dashboard/openstack_dashboard/themes
%{_datadir}/openstack-dashboard/openstack_dashboard/test
%{_datadir}/openstack-dashboard/openstack_dashboard/usage
%{_datadir}/openstack-dashboard/openstack_dashboard/utils
%{_datadir}/openstack-dashboard/openstack_dashboard/wsgi
%dir %{_datadir}/openstack-dashboard/openstack_dashboard
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??/LC_MESSAGES
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??/LC_MESSAGES

%if 0%{?rhosp}
%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings.d/
%{_sysconfdir}/openstack-dashboard/local_settings.d/*.example
%endif

%{_datadir}/openstack-dashboard/openstack_dashboard/.eslintrc
%if %{pyver} == 3
%{_datadir}/openstack-dashboard/openstack_dashboard/__pycache__
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/__pycache__
%endif

%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard
%dir %attr(0750, apache, apache) %{_sharedstatedir}/openstack-dashboard
%dir %attr(0750, apache, apache) %{_var}/log/horizon
%config(noreplace) %{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/cinder_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/keystone_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/nova_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/glance_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/neutron_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/nova_policy.d/api-extensions.yaml
%config(noreplace) %attr(0644, root, root) %{_sysconfdir}/logrotate.d/openstack-dashboard
%attr(755,root,root) %dir %{_unitdir}/httpd.service.d
%config(noreplace) %{_unitdir}/httpd.service.d/openstack-dashboard.conf

%if 0%{?with_doc}
%files doc
%doc html
%license LICENSE
%endif

%if 0%{rhosp} == 0
%files -n openstack-dashboard-theme
#%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/theme
#%{_datadir}/openstack-dashboard/openstack_dashboard/enabled/_99_customization.*
%endif

%changelog
* Mon Sep 26 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20220926144724.d3d3d18
- Don't try and update port security if its not changing (rhbz#1670572)

* Thu May 19 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20220519094831.d3d3d18
- Some tweaks to improve work with Material Theme (rhbz#2026006)
- AgularJS pages display dates using Horizon's Settings Timezone (rhbz#1983407)
- Fix for "Resize instance" button
- Change to a proper policy for Resume operation

* Thu Apr 21 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20220421155059.3153a5b
- Fix for "Resize instance" button (rhbz#2076482)

* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20220404205507.3153a5b
- Change to a proper policy for Resume operation (rhbz#2066555)

* Mon Jan 24 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20220124225242.3153a5b
- Proper title for Format column (rhbz#1983434)

* Mon Oct 18 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20211018224959.3153a5b
- AgularJS pages display dates using Horizon's Settings Timezone (rhbz#1983407)
- Dropping lower constraints testing from stable branches
- Fix community image handling in launch instance form

* Mon Oct 18 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20211018155012.2d2f944
- Make existing empty metadata properties optional (rhbz#2014558)

* Thu Aug 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20210819084827.2d2f944
- Add default_availability_zone for VM creation (rhbz#1994612)

* Wed Aug 18 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20210818174810.2d2f944
- AgularJS pages display dates using Horizon's Settings Timezone (rhbz#1983407)

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20210728214807.2d2f944
- Fix Unable to use multiattach volume as boot for new server (rhbz#1877222)

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20210728174818.2d2f944
- Update the integration tests to work with downstream theme (rhbz#1973295)
- Magic Search filter facet removal fix (rhbz#1951046)
- Fix Angular mediumDateFilter (rhbz#1983407)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20210528135143.2d2f944
- Update patches

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.3-2.20210520073703.2d2f944
- Update patches
- Save instace_id inside Associate Floating IP workflow

* Mon May 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.2-2.20210517234807.b72b7e7
- Update patches

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.2-2.20210428165301.b72b7e7
- Add pagination to Source table in Launch Instance wizard (rhbz#1950815)

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.1-1
- Move "Domain" field under "User Name" and "Password" (rhbz#1750409)

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.1-1
- Update patches

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.1-1
- Update patches
- Add default index URL to Server Groups module
- Add WEBROOT to ngdetails navigation

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.1-1
- Add default index URL to Server Groups module (rhbz#1893073)
- Add WEBROOT to ngdetails navigation (rhbz#1893073)
- Show project name at launch instance dialog (rhbz#1759850)

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.1-1
- Add use_required_attribute in workflow

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.1-1
- Update patches

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Consume horizon tempest test from tempest master

* Thu Dec 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches

* Thu Dec 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Define periodic jobs

* Sun Dec 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches

* Sun Dec 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Cap bandit for python 2.7 env

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Fix open redirect

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Add custom SSL CA Cert support for api.cinder.get_microversion

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Imported Translations from Zanata

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Imported Translations from Zanata

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Fix use of ngettext in registry getName
- Add miss comma of "REST_API_REQUIRED_SETTINGS" list

* Mon Sep 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Update geckodriver version to v0.27.0.

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches
- Fix horizon-nodejs10-run jobs

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.2.0-1
- Update patches

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Give keystoneauth1.ClientException only 1 argument (message)

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Switch to new javascript jobs

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Fix tempest and pep8 tests

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Fix tenant_id for a new port.

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Forwards LOGOUT_URL to templates.

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Imported Translations from Zanata

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Fix .zuul.yaml syntax errors

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Implement 'selector-append' sass function

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Authenticate before Authorization

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Tell reno to ignore the kilo branch

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Update pyScss to 1.3.7
- Check volume endpoint availability in the same order

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Allow to evacuate without specifying a target host

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches
- Imported Translations from Zanata

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1
- Update patches

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Fixes a series of bugs related to Floating IPs.

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Imported Translations from Zanata
- Merge "GUI hangs on creation of project in User creation form" into stable/train
- Merge "Send binary frame in websocket client" into stable/train
- Fix "prev" link pagination for instances with identical timestamps
- Imported Translations from Zanata
- Merge "Fix users/projects list when domain context is changed" into stable/train
- Merge "Imported Translations from Zanata" into stable/train
- Imported Translations from Zanata
- Cap hacking version to <2
- GUI hangs on creation of project in User creation form
- Send binary frame in websocket client
- Fix users/projects list when domain context is changed
- Merge "Fix change expired password feature" into stable/train
- Merge "Compact overly nested css in compressed css" into stable/train
- Fix change expired password feature
- Merge "Pin jQuery to < 2; fixing unusable dashboard JS ('indexOf' of undefined)" into stable/train
- Merge "Fix deleting port from port details page" into stable/train
- Fix deleting port from port details page
- Imported Translations from Zanata
- Compact overly nested css in compressed css
- Pin jQuery to < 2; fixing unusable dashboard JS ('indexOf' of undefined)
- Imported Translations from Zanata
- Imported Translations from Zanata
- Fix aes-xts key length in Horizon Admin Guide / Manage Volumes

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Fix "prev" link pagination for instances with identical timestamps
- Imported Translations from Zanata
- Imported Translations from Zanata
- Cap hacking version to <2
- Fix users/projects list when domain context is changed
- Fix change expired password feature
- Fix deleting port from port details page
- Imported Translations from Zanata
- Compact overly nested css in compressed css
- Pin jQuery to < 2; fixing unusable dashboard JS ('indexOf' of undefined)
- Imported Translations from Zanata
- Imported Translations from Zanata
- Fix aes-xts key length in Horizon Admin Guide / Manage Volumes
- Fix "prev" link pagination for instances with identical timestamps
- Imported Translations from Zanata
- Merge "Fix users/projects list when domain context is changed" into stable/train
- Merge "Imported Translations from Zanata" into stable/train
- Imported Translations from Zanata
- Cap hacking version to <2
- Fix users/projects list when domain context is changed
- Merge "Fix change expired password feature" into stable/train
- Merge "Compact overly nested css in compressed css" into stable/train
- Fix change expired password feature
- Merge "Pin jQuery to < 2; fixing unusable dashboard JS ('indexOf' of undefined)" into stable/train
- Merge "Fix deleting port from port details page" into stable/train
- Fix deleting port from port details page
- Imported Translations from Zanata
- Compact overly nested css in compressed css
- Pin jQuery to < 2; fixing unusable dashboard JS ('indexOf' of undefined)
- Imported Translations from Zanata
- Imported Translations from Zanata
- Fix aes-xts key length in Horizon Admin Guide / Manage Volumes

* Sat Dec 28 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Fix "prev" link pagination for instances with identical timestamps

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Imported Translations from Zanata

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Merge "Fix users/projects list when domain context is changed" into stable/train
- Fix users/projects list when domain context is changed

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Merge "Imported Translations from Zanata" into stable/train
- Imported Translations from Zanata
- Cap hacking version to <2

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Merge "Fix change expired password feature" into stable/train
- Fix change expired password feature

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Merge "Compact overly nested css in compressed css" into stable/train
- Compact overly nested css in compressed css

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Merge "Pin jQuery to < 2; fixing unusable dashboard JS ('indexOf' of undefined)" into stable/train
- Pin jQuery to < 2; fixing unusable dashboard JS ('indexOf' of undefined)

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Merge "Fix deleting port from port details page" into stable/train
- Fix deleting port from port details page

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Imported Translations from Zanata

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Imported Translations from Zanata

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Imported Translations from Zanata

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches
- Fix aes-xts key length in Horizon Admin Guide / Manage Volumes

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-1
- Update patches

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-0.2.0rc2
- Update patches

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-0.1.0rc1
- Update patches
- Merge "Imported Translations from Zanata" into stable/train
- Imported Translations from Zanata

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-0.1.0rc1
- Update patches
- Merge "Relnote: default values are moved to openstack_dashboard/defaults.py" into stable/train
- Relnote: default values are moved to openstack_dashboard/defaults.py

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-0.1.0rc1
- Update patches
- Imported Translations from Zanata
- Imported Translations from Zanata
- Imported Translations from Zanata

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-0.1.0rc1
- Update patches
- Remove the check which causes plugin's quotas update failure

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1:16.0.0-0.1.0rc1
- Update to 16.0.0.0rc1


